[tox:tox]
skip_missing_interpreters = true
envlist = 
  py36
  py37
  format
  pylint

[testenv]
sitepackages = True
passenv =
  JETAPP_NOCV
  JETAPP_FAKECV
deps =
  -rrequirements/test-requirements.in
  -rrequirements/drive-requirements.in
  -rrequirements/client-requirements.in
  -rrequirements/train-requirements.in
commands =
  python3 fake_cv.py
  pytest -vv {posargs}

[testenv:black]
skip_install=True
skip_dist=True
changedir={toxinidir}
deps =
  -rrequirements/test-requirements.in
commands =
  black -l 79 -t py36 .

[testenv:format]
skip_install=True
skipsdist=True
changedir={toxinidir}
deps =
  -rrequirements/test-requirements.in
commands =
  black -l 79 -t py36 --check .

[testenv:pylint]
deps =
  -rrequirements/test-requirements.in
  -rrequirements/train-requirements.in
  -rrequirements/client-requirements.in
commands = pylint jetapp tests setup.py fake_cv.py data_client.py
